%global dlrn_nvr 11.7.0-2.20220826014801.c57cfa9
%global dlrn 1
%define upstream_version 11.7.0
# add guard for OSP packages not carried
%global rhosp 1
%{!?upstream_version: %global upstream_version %{version}%{?milestone}}

Name:           puppet-tripleo
Version: 11.7.0
Release: 2.20220826014804%{?dist}
Summary:        TripleO Puppet Module
License:        ASL 2.0

URL:            https://github.com/openstack/puppet-tripleo

Source0: 11.7.0-2.20220826014801.c57cfa9.tar.gz

#
# patches_ignore=DROP-IN-RPM
# patches_base=c57cfa931adf57ac4bea1662cddfd9bf2852185e
Patch0001: 0001-downstream-only-Include-nova-glance-class.patch
Patch0002: 0002-Handle-sparse-image-upload-configuration-parameters.patch
Patch0003: 0003-Support-for-PowerStore-Cinder-Backend.patch
Patch0004: 0004-Support-for-PowerFlex-Cinder-Backend.patch
Patch0005: 0005-downstream-only-Fix-typo-in-Dell-EMC-PowerStore-para.patch
Patch0006: 0006-Glance-Include-the-required-classes-for-image-cache.patch
Patch0007: 0007-Train-ONLY-Update-local-certmonger-ca-cert-when-ca-c.patch
Patch0008: 0008-Train-ONLY-remove-if-statement-from-local-ca-check.patch

BuildArch:      noarch

Requires:       puppet-aodh >= 13.0.0
Requires:       puppet-apache
Requires:       puppet-auditd
Requires:       puppet-barbican >= 13.0.0
Requires:       puppet-cassandra
Requires:       puppet-ceilometer >= 13.0.0
Requires:       puppet-ceph
Requires:       puppet-certmonger
Requires:       puppet-cinder >= 13.0.0
Requires:       puppet-collectd
Requires:       puppet-concat
Requires:       puppet-contrail
Requires:       puppet-corosync
Requires:       puppet-datacat
Requires:       puppet-designate >= 13.0.0
Requires:       puppet-ec2api >= 13.0.0
Requires:       puppet-elasticsearch
Requires:       puppet-etcd
Requires:       puppet-fdio
Requires:       puppet-firewall
Requires:       puppet-git
Requires:       puppet-glance >= 13.0.0
Requires:       puppet-gnocchi >= 13.0.0
Requires:       puppet-haproxy
Requires:       puppet-heat >= 13.0.0
Requires:       puppet-horizon >= 13.0.0
Requires:       puppet-inifile
Requires:       puppet-ipaclient
Requires:       puppet-ironic >= 13.0.0
Requires:       puppet-java
Requires:       puppet-kafka
Requires:       puppet-keepalived
Requires:       puppet-keystone >= 13.0.0
Requires:       puppet-kibana3
Requires:       puppet-kmod
Requires:       puppet-manila >= 13.0.0
Requires:       puppet-memcached
Requires:       puppet-midonet
Requires:       puppet-mistral >= 13.0.0
Requires:       puppet-module-data
Requires:       puppet-mysql
Requires:       puppet-n1k-vsm
Requires:       puppet-neutron >= 13.0.0
Requires:       puppet-nova >= 13.0.0
Requires:       puppet-nssdb
Requires:       puppet-octavia >= 13.0.0
Requires:       puppet-opendaylight
Requires:       puppet-openstack_extras >= 13.0.0
Requires:       puppet-openstacklib >= 13.0.0
Requires:       puppet-ovn >= 13.0.0
Requires:       puppet-oslo >= 13.0.0
Requires:       puppet-pacemaker
Requires:       puppet-panko >= 13.0.0
Requires:       puppet-placement
Requires:       puppet-qdr
Requires:       puppet-rabbitmq
Requires:       puppet-redis
Requires:       puppet-remote
Requires:       puppet-rsync
Requires:       puppet-rsyslog
Requires:       puppet-sahara >= 13.0.0
Requires:       puppet-snmp
Requires:       puppet-ssh
Requires:       puppet-staging
Requires:       puppet-stdlib
Requires:       puppet-swift >= 13.0.0
Requires:       puppet-sysctl
Requires:       puppet-systemd
Requires:       puppet-timezone
Requires:       puppet-tomcat
Requires:       puppet-trove >= 13.0.0
Requires:       puppet-vcsrepo
Requires:       puppet-veritas_hyperscale
Requires:       puppet-vswitch >= 9.0.0
Requires:       puppet-xinetd
Requires:       puppet-zaqar >= 13.0.0
Requires:       puppet-zookeeper
%if 0%{?fedora}
# NOTE(bogdando): only needed for f28-based CI passing,
# remove this condition for the "else" path, once we have Centos 8.
Requires:       puppet-headless >= 5.5.6
%else
Requires:       puppet-headless >= 5.5.10
%endif
# NOTE(aschultz): needed to properly manage firewall rules.
Requires:       iptables-services
%if 0%{?fedora} || 0%{?rhel} > 7
# NOTE(aschultz): needed for rabbitmq on rhel8/fedora, see LP#1822673
# https://review.openstack.org/#/c/649170/
Requires:       glibc-langpack-en
%endif

%if 0%{rhosp} == 0
Requires:       puppet-mongodb
Requires:       puppet-congress
Requires:       puppet-etcd
Requires:       puppet-tacker
%endif


%description
Lightweight composition layer for Puppet TripleO.

%prep
%setup -q -n openstack-tripleo-%{upstream_version}

%patch0001 -p1
%patch0002 -p1
%patch0003 -p1
%patch0004 -p1
%patch0005 -p1
%patch0006 -p1
%patch0007 -p1
%patch0008 -p1

find . -type f -name ".*" -exec rm {} +
find . -size 0 -exec rm {} +
find . \( -name "*.pl" -o -name "*.sh"  \) -exec chmod +x {} +
find . \( -name "*.pp" -o -name "*.py"  \) -exec chmod -x {} +
find . \( -name "*.rb" -o -name "*.erb" \) -exec chmod -x {} +
find . \( -name spec -o -name ext \) | xargs rm -rf

%build


%install
rm -rf %{buildroot}
install -d -m 0755 %{buildroot}/%{_datadir}/openstack-puppet/modules/tripleo/
cp -rp * %{buildroot}/%{_datadir}/openstack-puppet/modules/tripleo/



%files
%{_datadir}/openstack-puppet/modules/tripleo/


%changelog
* Thu Nov 17 2022 Thierry Vignaud <tvignaud@redhat.com> 11.7.0-2.20220826014804
- [Train ONLY] remove if statement from local ca check Current change will not work reliably. Removing this if statement will just cause the script to extract and update the CA trust on each renewal (rhbz#2131594)

* Tue Nov 08 2022 Lon Hohberger <lhh@redhat.com> 11.7.0-2.20220826014803
- [Train ONLY] Update local certmonger ca cert when ca cert has been renewed Resues fix from "Always update the local certmonger ca cert" https://review.opendev.org/c/openstack/tripleo-heat-templates/+/785020 (rhbz#2131594)

* Tue Nov 08 2022 Thierry Vignaud <tvignaud@redhat.com> 11.7.0-2.20220826014802
- Glance: Include the required classes for image cache (rhbz#2098630)

* Thu Aug 25 2022 OSP Prod Chain <dev-null@redhat.com> 11.7.0-2.20220826014801.c57cfa9
- Update patches

* Thu Aug 25 2022 OSP Prod Chain <dev-null@redhat.com> 11.7.0-2.20220826005135.c57cfa9
- Update patches
- Change neutron backend's timeout in haproxy to 10 minutes

* Fri Aug 05 2022 OSP Prod Chain <dev-null@redhat.com> 11.7.0-2.20220806005428.47ef865
- Update patches
- Support mariabackup as a galera SST method

* Thu Aug 04 2022 OSP Prod Chain <dev-null@redhat.com> 11.7.0-2.20220804135307.941ad1a
- Change neutron backend's timeout in haproxy to 10 minutes (rhbz#2083245 rhbz#2083245)

* Fri Jul 01 2022 OSP Prod Chain <dev-null@redhat.com> 11.7.0-2.20220701040201.941ad1a
- Update patches
- Moves the shared zuul queue tripleo to the project level

* Fri May 27 2022 OSP Prod Chain <dev-null@redhat.com> 11.7.0-2.20220528011935.0c3e082
- Update patches
- [train-only] Fix certmonger novnc_proxy key files data race
- [train-only] Fix certmonger QEMU key file data race
- HAProxy: enable forwardfor for all http endpoints
- Trainl-only: Fix broken healthcheck of zaqar websocket endpoint
- haproxy: Enable httplog for all http endpoints

* Tue May 10 2022 OSP Prod Chain <dev-null@redhat.com> 11.7.0-2.20220510152318.700ded7
- Update patches
- [train-only] Fix certmonger vnc key file data race
- Increase connection timeouts for Redis

* Thu Apr 21 2022 OSP Prod Chain <dev-null@redhat.com> 11.7.0-2.20220421175128.0fca0ad
- Update patches
- Enable ovn controller to be updated before ovn-northd.

* Mon Apr 04 2022 OSP Prod Chain <dev-null@redhat.com> 11.7.0-2.20220405015036.f404729
- Update patches
- Format [oslo_cache] memcache_server when IPv6 is used
- Format [keystone_authtoken] memcache_servers when IPv6 is used
- Add powermax support

* Thu Mar 31 2022 OSP Prod Chain <dev-null@redhat.com> 11.7.0-2.20220331173407.f6101ef
- Increase connection timeouts for Redis (rhbz#2070565)

* Thu Feb 10 2022 OSP Prod Chain <dev-null@redhat.com> 11.7.0-2.20220210125225.f6101ef
- Update patches
- Revert Horizon's Memecached config to use IP addresses
- Horizon: Enable manila-dashboard configurations

* Mon Jan 31 2022 OSP Prod Chain <dev-null@redhat.com> 11.7.0-2.20220131184846.b236ad2
- Revert Horizon's Memecached config to use IP addresses (rhbz#2046284)

* Thu Jan 27 2022 OSP Prod Chain <dev-null@redhat.com> 11.7.0-2.20220128004900.b236ad2
- Update patches
- Horizon: Enable octavia-dashboard configurations

* Wed Jan 26 2022 OSP Prod Chain <dev-null@redhat.com> 11.7.0-2.20220127005349.93b46a7
- Update patches
- [train-only] certmonger: track change in service's private keys

* Tue Jan 25 2022 OSP Prod Chain <dev-null@redhat.com> 11.7.0-2.20220126005207.0c76c38
- Update patches
- Octavia: configure services endpoints

* Sun Jan 23 2022 OSP Prod Chain <dev-null@redhat.com> 11.7.0-2.20220123224836.b68ec28
- Update patches
- Horizon: Enable heat-dashboard configurations

* Thu Dec 23 2021 OSP Prod Chain <dev-null@redhat.com> 11.7.0-2.20211224004900.be47189
- Update patches
- Support configuring extra cinder RBD options

* Fri Nov 12 2021 OSP Prod Chain <dev-null@redhat.com> 11.7.0-2.20211112140455.23a518a
- Update patches
- Run TripleO jobs on CentOS8 instead of CentOS7

* Wed Oct 27 2021 OSP Prod Chain <dev-null@redhat.com> 11.7.0-2.20211028004926.b604400
- Update patches
- Make sure resource_op_defaults are set before bundles

* Thu Oct 14 2021 OSP Prod Chain <dev-null@redhat.com> 11.7.0-2.20211014082711.9b0a194
- Update patches

* Wed Oct 13 2021 OSP Prod Chain <dev-null@redhat.com> 11.7.0-2.20211014010103.9b0a194
- Update patches
- Fix typo in SSL file resource

* Sat Sep 25 2021 OSP Prod Chain <dev-null@redhat.com> 11.7.0-2.20210926004806.d4bbee8
- Update patches
- Extend fencing to hosts using fence_kubevirt agent.

* Wed Sep 15 2021 OSP Prod Chain <dev-null@redhat.com> 11.7.0-2.20210916005858.2f68f26
- Update patches
- Set memcached server list from memcached_node_names

* Thu Sep 02 2021 OSP Prod Chain <dev-null@redhat.com> 11.7.0-2.20210902124815.48d6566
- Update patches
- Fix rabbitmq certificate reload after it is resubmitted

* Wed Aug 25 2021 OSP Prod Chain <dev-null@redhat.com> 11.7.0-2.20210825093936.7317546
- Update patches

* Wed Aug 25 2021 OSP Prod Chain <dev-null@redhat.com> 11.7.0-2.20210825090309.7317546
- Update patches
- [Train only] Update the authtoken class for undercloud services
- Revert "Deprecate warnings for Ceilometer and Gnocchi"
- Set authtoken memcached_servers in undercloud services
- [train-only] Use tripleo-undercloud-jobs-pipeline

* Tue Aug 24 2021 OSP Prod Chain <dev-null@redhat.com> 11.7.0-2.20210824074811.a5e85d8
- Set authtoken memcached_servers in undercloud services (rhbz#1995307)

* Tue Aug 17 2021 OSP Prod Chain <dev-null@redhat.com> 11.7.0-2.20210817224810.a5e85d8
- Update patches
- Allow tuning of Galera gcache size

* Wed Aug 11 2021 OSP Prod Chain <dev-null@redhat.com> 11.7.0-2.20210811083954.7f06784
- Update patches
- Create SSL certificates from sslProfiles

* Tue Aug 10 2021 OSP Prod Chain <dev-null@redhat.com> 11.7.0-2.20210810154806.ad5de51
- Create SSL certificates from sslProfiles (rhbz#1982764)

* Tue Jul 13 2021 OSP Prod Chain <dev-null@redhat.com> 11.7.0-2.20210713225829.ad5de51
- Update patches
- Revert "Aodh deprecation"

* Wed Jul 07 2021 OSP Prod Chain <dev-null@redhat.com> 11.7.0-2.20210707224814.17fafbb
- Update patches
- Cinder: Dell EMC PowerMax: Fix typo in hash key

* Fri Jun 18 2021 OSP Prod Chain <dev-null@redhat.com> 11.7.0-2.20210618225820.b88561b
- Update patches
- Add pcmk_host_list stonith-fence_compute-fence-nova

* Wed Jun 16 2021 OSP Prod Chain <dev-null@redhat.com> 11.7.0-2.20210617004810.79f0679
- Update patches
- Add support for ovn clustered databases

* Sun Jun 13 2021 OSP Prod Chain <dev-null@redhat.com> 11.7.0-2.20210613224810.fce617c
- Update patches
- Add option to set rsyslog reopenOnTruncate parameter for all services

* Mon Jun 07 2021 OSP Prod Chain <dev-null@redhat.com> 11.7.0-2.20210607235820.d200d55
- Update patches

* Mon Jun 07 2021 OSP Prod Chain <dev-null@redhat.com> 11.7.0-2.20210607084833.d200d55
- Update patches
- Bump last train release 11.7.0 before train extended maintenance

* Thu Jun 03 2021 OSP Prod Chain <dev-null@redhat.com> 11.6.2-2.20210603175724.f642d04
- Update patches
- [train-only] Fix Automatically set memcache_servers for keystone cache
- Adding nova::network::neutron to nova-conductor

* Tue Jun 01 2021 OSP Prod Chain <dev-null@redhat.com> 11.6.2-2.20210602015832.9f2b7fe
- Update patches
- Define nova::cache parameters in tht
- Use dogpile.cache.memcached in nova caching

* Mon May 31 2021 OSP Prod Chain <dev-null@redhat.com> 11.6.2-2.20210531234811.44b64a1
- Update patches
- HA: inject public certificates without blocking container

* Fri May 28 2021 OSP Prod Chain <dev-null@redhat.com> 11.6.2-2.20210528134152.e8f473f
- Adding nova::network::neutron to nova-conductor (rhbz#1964699)

* Wed May 12 2021 OSP Prod Chain <dev-null@redhat.com> 11.6.2-2.20210513022124.e8f473f
- Update patches
- Automatically set memcache_servers for keystone cache

* Wed Apr 28 2021 OSP Prod Chain <dev-null@redhat.com> 11.6.2-2.20210428172107.5c76ddc
- Update patches
- Set ovn_chassis_mac_map in ovn::controller

* Mon Apr 26 2021 OSP Prod Chain <dev-null@redhat.com> 11.6.2-2.20210426234734.e31d2bc
- Update patches
- Add haproxy prometheus/alertmanager endpoint for Ceph Dashboard

* Sun Apr 25 2021 OSP Prod Chain <dev-null@redhat.com> 11.6.2-2.20210426004744.16f1acb
- Update patches
- stable-only: Pin puppetlabs-haproxy

* Tue Apr 20 2021 OSP Prod Chain <dev-null@redhat.com> 11.6.2-.20210421005835.d6643e5
- Update patches
- Move stonith resource creation to step2

* Tue Apr 20 2021 OSP Prod Chain <dev-null@redhat.com> 11.6.1-1
- Update patches
- Add monitor interval for ovn dbs

* Mon Apr 19 2021 OSP Prod Chain <dev-null@redhat.com> 11.6.1-1
- Update patches
- Bump train metadata.json to 11.6.1 to fix bad tag
- Always update the local certmonger ca cert
- Add Memcached certificate generation
- Bump metadata.json 11.6.0 for stable/train release
- Set memcache_servers for heat::cache automatically
- Add missing unit tests for heat manifests

* Wed Mar 31 2021 OSP Prod Chain <dev-null@redhat.com> 11.5.0-1
- Update patches
- Add check for bootstrap_node for downcase

* Mon Mar 29 2021 OSP Prod Chain <dev-null@redhat.com> 11.5.0-1
- Update patches
- Fix novavnc haproxy network

* Thu Mar 25 2021 OSP Prod Chain <dev-null@redhat.com> 11.5.0-1
- Update patches
- Handle cinder_mount_point_base for cinder mounting needs

* Wed Mar 24 2021 OSP Prod Chain <dev-null@redhat.com> 11.5.0-1
- Update patches
- Add parameters for multipath connection in cinder store

* Mon Mar 22 2021 OSP Prod Chain <dev-null@redhat.com> 11.5.0-1
- Update patches

* Mon Mar 22 2021 OSP Prod Chain <dev-null@redhat.com> 11.5.0-1
- Update patches
- Fix live-migration with libvirt >= 6.8.0

* Wed Mar 17 2021 OSP Prod Chain <dev-null@redhat.com> 11.5.0-1
- Update patches
- Stop including nova::metadata on computes

* Fri Mar 12 2021 OSP Prod Chain <dev-null@redhat.com> 11.5.0-1
- Update patches

* Fri Mar 12 2021 Martin Schuppert <mschuppert@redhat.com> 11.5.1-2.20210302224955
- Fix live-migration with libvirt >= 6.8.0 (rhbz#1926602)

* Tue Mar 02 2021 OSP Prod Chain <dev-null@redhat.com> 11.5.0-1
- Update patches
- Add ability to specify memcached port

* Wed Feb 24 2021 OSP Prod Chain <dev-null@redhat.com> 11.5.0-1
- Update patches
- Fix manila-share with ceph-nfs backend
- Add authtoken security options

* Sat Feb 20 2021 OSP Prod Chain <dev-null@redhat.com> 11.5.0-1
- Update patches
- Allow OCF resources to be created with --force

* Wed Feb 17 2021 OSP Prod Chain <dev-null@redhat.com> 11.5.0-1
- [downstream-only] Fix typo in Dell EMC PowerStore param (rhbz#1927792)
- Support for PowerFlex Cinder Backend (rhbz#1867224)
- Support for PowerStore Cinder Backend (rhbz#1862541 rhbz#1862546)
- Handle sparse image upload configuration parameters (rhbz#1866741)
- [downstream-only] Include nova::glance class (rhbz#1916160)

* Wed Feb 10 2021 OSP Prod Chain <dev-null@redhat.com> 11.5.0-1
- Support for PowerFlex Cinder Backend (rhbz#1867224)
- Support for PowerStore Cinder Backend (rhbz#1862541 rhbz#1862546)

* Mon Feb 08 2021 OSP Prod Chain <dev-null@redhat.com> 11.5.0-1
- Update patches

* Mon Feb 08 2021 OSP Prod Chain <dev-null@redhat.com> 11.4.0-1
- Handle sparse image upload configuration parameters (rhbz#1866741)

* Fri Feb 05 2021 OSP Prod Chain <dev-null@redhat.com> 11.4.0-1
- [downstream-only] Include nova::glance class (rhbz#1916160)

* Fri Jan 29 2021 OSP Prod Chain <dev-null@redhat.com> 11.4.0-1
- Update patches
- Remove haproxy ironic-inspector http-check workaround

* Wed Jan 20 2021 OSP Prod Chain <dev-null@redhat.com> 11.4.0-1
- Update patches
- Wire up new tripleo upgrades jobs template

* Mon Jan 11 2021 OSP Prod Chain <dev-null@redhat.com> 11.4.0-1
- Update patches

* Mon Jan 11 2021 OSP Prod Chain <dev-null@redhat.com> 11.4.0-1
- Update patches
- Adding key_size option on the certmonger_certificate function

* Wed Dec 30 2020 OSP Prod Chain <dev-null@redhat.com> 11.4.0-1
- Update patches

* Wed Dec 30 2020 OSP Prod Chain <dev-null@redhat.com> 11.4.0-1
- Update patches
- Revert "[Train and before] Apply default_listen_options to ironic-inspector"
- [Train and before] Apply default_listen_options to ironic-inspector

* Fri Dec 25 2020 OSP Prod Chain <dev-null@redhat.com> 11.4.0-1
- Update patches

* Fri Dec 25 2020 OSP Prod Chain <dev-null@redhat.com> 11.4.0-1
- Update patches
- Allow to specify a nic for the VIPs + Fix nic selection when no nic is specified

* Wed Dec 23 2020 OSP Prod Chain <dev-null@redhat.com> 11.4.0-1
- Update patches

* Wed Dec 23 2020 OSP Prod Chain <dev-null@redhat.com> 11.4.0-1
- Update patches
- Defauts mariadb's innodb_strict_mode to OFF

* Mon Dec 21 2020 OSP Prod Chain <dev-null@redhat.com> 11.4.0-1
- Update patches

* Mon Dec 21 2020 OSP Prod Chain <dev-null@redhat.com> 11.4.0-1
- Update patches
- Filter haproxy_certificate_specs if hostname is empty

* Thu Dec 17 2020 OSP Prod Chain <dev-null@redhat.com> 11.4.0-1
- Update patches

* Mon Dec 07 2020 OSP Prod Chain <dev-null@redhat.com> 11.4.0-1
- Update patches
- Revert "Cleanup old workaround for ipv6 VIPs"
- Make sure qemu CA has correct permissions
- Fixing incorrect parameter names in Dell EMC Storage Templates

* Fri Nov 27 2020 OSP Prod Chain <dev-null@redhat.com> 11.4.0-1
- Update patches
- Force MySQL / MariaDB log_warnings to 1

* Fri Nov 20 2020 OSP Prod Chain <dev-null@redhat.com> 11.4.0-1
- Update patches
- galera: expose 2-node mode for the galera resource

* Sat Nov 14 2020 OSP Prod Chain <dev-null@redhat.com> 11.4.0-1
- Update patches
- Generic cluster properties support
- Include ovs_driver and sriov_driver classes in base neutron profile

* Wed Nov 11 2020 OSP Prod Chain <dev-null@redhat.com> 11.4.0-1
- Update patches
- Cleanup old workaround for ipv6 VIPs

* Sun Nov 08 2020 OSP Prod Chain <dev-null@redhat.com> 11.4.0-1
- Update patches
- Puppet config options for AMQP1 sensubility transport

* Tue Nov 03 2020 OSP Prod Chain <dev-null@redhat.com> 11.4.0-1
- Update patches
- [c7-train] Switch c7 jobs to content provider

* Fri Oct 23 2020 OSP Prod Chain <dev-null@redhat.com> 11.4.0-1
- Update patches
- Add changes for collectd libpod stats plugin

* Thu Oct 22 2020 OSP Prod Chain <dev-null@redhat.com> 11.4.0-1
- Update patches
- [train] Switch to content provider jobs/templates

* Fri Oct 16 2020 OSP Prod Chain <dev-null@redhat.com> 11.4.0-1
- Update patches
- Allow overriding share protocols with manila

* Sun Oct 11 2020 OSP Prod Chain <dev-null@redhat.com> 11.4.0-1
- Update patches
- Make ceph_dashboard haproxy config parametric

* Wed Sep 16 2020 OSP Prod Chain <dev-null@redhat.com> 11.4.0-1
- Update patches
- Replace union to create tcp-check list for redis

* Thu Sep 10 2020 OSP Prod Chain <dev-null@redhat.com> 11.4.0-1
- Replace union to create tcp-check list for redis
- Replace union to create tcp-check list for redis

* Wed Sep 09 2020 OSP Prod Chain <dev-null@redhat.com> 11.4.0-1
- Update patches
- Replace union to create tcp-check list for redis

* Sat Sep 05 2020 OSP Prod Chain <dev-null@redhat.com> 11.4.0-1
- Update patches
- Change branch name for selinux_core puppet module

* Wed Sep 02 2020 OSP Prod Chain <dev-null@redhat.com> 11.4.0-1
- Update patches
- Fix tls - zaqar wss default port
- HA: ensure scaling up galera does not cause promotion errors
- Fix typos, extreamio and xtreamio to xtremio

* Wed Aug 19 2020 OSP Prod Chain <dev-null@redhat.com> 11.4.0-1
- Update patches
- Make sure python3-novaclient is installed before creating fence_compute

* Tue Aug 18 2020 OSP Prod Chain <dev-null@redhat.com> 11.4.0-1
- Update patches
- Use pcs 0.9 style authkey/remotes when doing an upgrade

* Mon Aug 10 2020 OSP Prod Chain <dev-null@redhat.com> 11.4.0-1
- Update patches
- Add certmonger-etcd-refresh.sh script

* Thu Aug 06 2020 OSP Prod Chain <dev-null@redhat.com> 11.4.0-1
- Update patches
- Fix up cluster_setup_extras usage

* Thu Aug 06 2020 OSP Prod Chain <dev-null@redhat.com> 11.4.0-1
- Update patches
- Make promote timeout configurable
- Ensure post-save certmonger scripts target the right HA container

* Tue Aug 04 2020 OSP Prod Chain <dev-null@redhat.com> 11.4.0-1
- Update patches
- Switch includes to absolute

* Tue Jul 21 2020 OSP Prod Chain <dev-null@redhat.com> 11.4.0-1
- Update patches

* Fri Jul 17 2020 OSP Prod Chain <dev-null@redhat.com> 11.4.0-1
- Update patches

* Fri Jul 10 2020 OSP Prod Chain <dev-null@redhat.com> 11.4.0-1
- Update patches
- HA: fix rabbitmq readiness check for rabbitmq-server 3.8

* Thu Jul 09 2020 OSP Prod Chain <dev-null@redhat.com> 11.4.0-1
- Update patches
- Enable to modify params of logrotate-crond.conf

* Wed Jul 08 2020 OSP Prod Chain <dev-null@redhat.com> 11.4.0-1
- Update patches
- Add FFU support for ceph_nfs

* Tue Jul 07 2020 OSP Prod Chain <dev-null@redhat.com> 11.4.0-1
- Update patches
- Switch RGW HAProxy healthcheck to use special RGW healthcheck url

* Tue Jul 07 2020 OSP Prod Chain <dev-null@redhat.com> 11.4.0-1
- Update patches
- Fix haproxy ceph dashboard condition

* Mon Jul 06 2020 OSP Prod Chain <dev-null@redhat.com> 11.4.0-1
- Update patches
- Fix RABBITMQ_SERVER_ADDITIONAL_ERL_ARGS usage with a proper override mechanism + Make the additional_erl_args change more independent

* Mon Jun 29 2020 OSP Prod Chain <dev-null@redhat.com> 11.4.0-1
- Update patches
- Finish HAProxy config for metrics_qdr

* Wed Jun 24 2020 OSP Prod Chain <dev-null@redhat.com> 11.4.0-1
- Update patches
- Fix the default values for ca_file and cert_file

* Mon Jun 22 2020 OSP Prod Chain <dev-null@redhat.com> 11.4.0-1
- Finish HAProxy config for metrics_qdr (rhbz#1827024)

* Mon Jun 22 2020 Francesco Pantano <fpantano@redhat.com> 11.5.0-0.20200617003421.8a4e5fd
- Make haproxy.pp honor EnableInternalTLS for rgw (rhbz#1846812)

* Tue Jun 16 2020 OSP Prod Chain <dev-null@redhat.com> 11.4.0-1
- Update patches
- Powermax Config Fixes

* Mon Jun 15 2020 OSP Prod Chain <dev-null@redhat.com> 11.4.0-1
- Update patches
- Make haproxy.pp honor EnableInternalTLS for rgw
- ovn-dbs-bundle: Prepare for supporting new OVN version with separarte run dirs

* Thu Jun 11 2020 OSP Prod Chain <dev-null@redhat.com> 11.4.0-1
- ovn-dbs-bundle: Prepare for supporting new OVN version with separarte run dirs (rhbz#1837235)
- Support for Dell EMC VXFlexOS Backend
- Allow override of mysql/galera open files limit

* Wed Jun 10 2020 OSP Prod Chain <dev-null@redhat.com> 11.4.0-1
- ovn-dbs-bundle: Prepare for supporting new OVN version with separarte run dirs (rhbz#1837235)

* Tue Jun 09 2020 OSP Prod Chain <dev-null@redhat.com> 11.4.0-1
- Update patches
- Remove obsolete 'http' backend from glance configuration

* Fri Jun 05 2020 OSP Prod Chain <dev-null@redhat.com> 11.4.0-1
- Update patches
- Support for Dell EMC SC Volume Config

* Wed Jun 03 2020 OSP Prod Chain <dev-null@redhat.com> 11.4.0-1
- Update patches
- Remove selinux relabel mount option for neutron

* Sat May 30 2020 OSP Prod Chain <dev-null@redhat.com> 11.4.0-1
- Update patches
- Prepare 11.5.0 release

* Fri May 29 2020 OSP Prod Chain <dev-null@redhat.com> 11.4.0-1
- Update patches
- Support for Dell EMC XtremIO Volume Config

* Thu May 28 2020 OSP Prod Chain <dev-null@redhat.com> 11.4.0-1
- Update patches
- Ensure that the HAProxy certificate is updated

* Wed May 27 2020 OSP Prod Chain <dev-null@redhat.com> 11.4.0-1
- Update patches
- Allow the Mistral tunnel timeout to be configurable.

* Fri May 22 2020 OSP Prod Chain <dev-null@redhat.com> 11.4.0-1
- Update patches
- Include vendordata in nova-api and nova-metadata-api

* Fri May 22 2020 OSP Prod Chain <dev-null@redhat.com> 11.4.0-1
- Update patches
- [stable only] Fix duplicated test case for nova::api

* Fri May 15 2020 OSP Prod Chain <dev-null@redhat.com> 11.4.0-1
- Update patches
- Only run the VIP creation code when enable_load_balancer is set to true

* Wed May 13 2020 OSP Prod Chain <dev-null@redhat.com> 11.4.0-1
- Update patches
- Fix etcd's support for internal TLS

* Thu May 07 2020 OSP Prod Chain <dev-null@redhat.com> 11.4.0-1
- Update patches
- Remove duplicate entry of collectd-python package
- Use ctlplane for internal QDR communication

* Thu May 07 2020 OSP Prod Chain <dev-null@redhat.com> 11.4.0-1
- Update patches
- CephRgw healthcheck aligned with ceph-ansible

* Mon Apr 20 2020 OSP Prod Chain <dev-null@redhat.com> 11.4.0-1
- Update patches
- Do not manage pv/vg for cinder iscsi backend
- Hardcode openidc_cache_type parameter for keystone federation with OpenIdc

* Sat Apr 18 2020 OSP Prod Chain <dev-null@redhat.com> 11.4.0-1
- Update patches
- Log stdout of HA containers
- Make the bundle user configurable via hiera
- Enable deployment with external loadbalancers

* Fri Apr 17 2020 OSP Prod Chain <dev-null@redhat.com> 11.4.0-1
- Update patches
- Add Octavia OVN Provider configuration (2 of 2)

* Tue Apr 14 2020 OSP Prod Chain <dev-null@redhat.com> 11.4.0-1
- Update patches

* Tue Apr 14 2020 Flavio Fernandes <flaviof@redhat.com> 11.4.1-0.20200413091724.5d41a09
- Add Octavia OVN Provider configuration (2 of 2) (rhbz#1823848)

* Mon Apr 13 2020 OSP Prod Chain <dev-null@redhat.com> 11.4.0-1
- Update patches
- Support for PowerMax Volume Config

* Tue Apr 07 2020 OSP Prod Chain <dev-null@redhat.com> 11.4.0-1
- Update patches

* Mon Apr 06 2020 OSP Prod Chain <dev-null@redhat.com> 11.4.0-1
- Update patches
- Support for mariadb's ed25519 authentication

* Fri Apr 03 2020 OSP Prod Chain <dev-null@redhat.com> 11.4.0-1
- Update patches
- Add Octavia OVN Provider configuration (1 of 2)

* Wed Apr 01 2020 OSP Prod Chain <dev-null@redhat.com> 11.4.0-1
- Update patches
- Use memcached for token caching in designate authtoken

* Tue Mar 31 2020 OSP Prod Chain <dev-null@redhat.com> 11.4.0-1
- Update patches
- Add heat::cache to heat profile

* Tue Mar 31 2020 OSP Prod Chain <dev-null@redhat.com> 11.4.0-1
- Update patches
- Make all mysql root users managed during stack creation/update

* Fri Mar 27 2020 OSP Prod Chain <dev-null@redhat.com> 11.4.0-1
- Update patches
- Handle ipv6 addresses in etcd and cinder's backend_url

* Thu Mar 26 2020 OSP Prod Chain <dev-null@redhat.com> 11.4.0-1
- Update patches
- pacemaker-remote is broken on CentOS/RHEL < 8

* Sat Mar 21 2020 OSP Prod Chain <dev-null@redhat.com> 11.4.0-1
- Update patches
- Fix grafana haproxy frontend ip variable

* Thu Mar 19 2020 OSP Prod Chain <dev-null@redhat.com> 11.4.0-1
- Update patches

* Wed Mar 11 2020 OSP Prod Chain <dev-null@redhat.com> 11.4.0-1
- Update patches
- Add Certmonger ceph_rgw class to config tls

* Wed Mar 11 2020 OSP Prod Chain <dev-null@redhat.com> 11.4.0-1
- Update patches
- Make sure we create stonith resources before stonith levels
- Revert "Remove neutron wrappers"

* Wed Mar 11 2020 OSP Prod Chain <dev-null@redhat.com> 11.4.0-1
- Update patches
- Add ceph dashboard frontend endpoint and tls-e integration

* Wed Mar 11 2020 OSP Prod Chain <dev-null@redhat.com> 11.4.0-1
- Update patches
- Enforce firewall rules before pacemaker-auth
- Enable sudo rule creation

* Sat Feb 29 2020 OSP Prod Chain <dev-null@redhat.com> 11.4.0-1
- Update patches
- Add support for glance multistore

* Tue Feb 18 2020 OSP Prod Chain <dev-null@redhat.com> 11.4.0-1
- Update patches
- keystone: add a new parameter 'keystone_resources_managed'
- Remove neutron wrappers

* Wed Feb 12 2020 OSP Prod Chain <dev-null@redhat.com> 11.4.0-1
- Update patches
- Add keystone_resources_managed option to the cinder api class

* Tue Feb 11 2020 OSP Prod Chain <dev-null@redhat.com> 11.4.0-1
- Update patches
- Don't use defined
- Make pipeline config more flexible

* Wed Feb 05 2020 OSP Prod Chain <dev-null@redhat.com> 11.4.0-1
- Update patches
- Remove side-car containers in Create status

* Tue Feb 04 2020 OSP Prod Chain <dev-null@redhat.com> 11.4.0-1
- Update patches
- Fix typo in remote pcsd_bind_addr

* Fri Jan 31 2020 OSP Prod Chain <dev-null@redhat.com> 11.4.0-1
- Update patches

* Fri Jan 31 2020 Martin Mágr <mmagr@redhat.com> 11.4.0-0.20200131.09fa984
- [PATCH] Use ctlplane for internal QDR communication (rhbz#1769868)

* Tue Jan 28 2020 OSP Prod Chain <dev-null@redhat.com> 11.4.0-1
- Update patches
- Change the name of the HAProxy service to reflict the new name

* Wed Jan 22 2020 OSP Prod Chain <dev-null@redhat.com> 11.4.0-1
- Update patches
- Merge "Remove unused manila_share_nodes_count variable" into stable/train
- Remove unused manila_share_nodes_count variable

* Wed Jan 22 2020 OSP Prod Chain <dev-null@redhat.com> 11.4.0-1
- Update patches
- Merge "Add short node name override support to manila" into stable/train
- Merge "Make rsyslog file_input bulletproof" into stable/train
- Make rsyslog file_input bulletproof
- Add short node name override support to manila

* Tue Jan 21 2020 OSP Prod Chain <dev-null@redhat.com> 11.4.0-1
- Update patches
- Merge "HA: Honour all hiera override variables in mysql_bundle" into stable/train
- HA: Honour all hiera override variables in mysql_bundle

* Sat Jan 18 2020 OSP Prod Chain <dev-null@redhat.com> 11.4.0-1
- Update patches
- Merge "Add support to configure pcsd bind address" into stable/train
- Add support to configure pcsd bind address

* Fri Jan 17 2020 OSP Prod Chain <dev-null@redhat.com> 11.4.0-1
- Make rsyslog file_input bulletproof (rhbz#1623152)

* Tue Jan 14 2020 OSP Prod Chain <dev-null@redhat.com> 11.4.0-1
- Update patches
- Enable metrics qdr to use public VIP

* Fri Jan 10 2020 OSP Prod Chain <dev-null@redhat.com> 11.4.0-1
- Update patches
- Allow mysql haproxy stanza do be customized

* Tue Jan 07 2020 OSP Prod Chain <dev-null@redhat.com> 11.4.0-1
- Update patches
- Merge "Fix typo in sslProfile conditional" into stable/train
- Merge "Avoid failing on rsyslog" into stable/train
- Change parameter to 'coordination_uri'
- Avoid failing on rsyslog
- Fix typo in sslProfile conditional

* Mon Jan 06 2020 OSP Prod Chain <dev-null@redhat.com> 11.3.0-1
- Fix typo in sslProfile conditional (rhbz#1769868)

* Thu Jan 02 2020 OSP Prod Chain <dev-null@redhat.com> 11.3.0-1
- Update patches
- Merge "Add octavia::nova to Octavia services" into stable/train
- Make sure neutron [placement] config section is set
- Add octavia::nova to Octavia services

* Thu Dec 19 2019 OSP Prod Chain <dev-null@redhat.com> 11.3.0-1
- Update patches
- bump metadata for new train version

* Wed Dec 11 2019 OSP Prod Chain <dev-null@redhat.com> 11.3.0-1
- Update patches
- Revert "Replace hiera('service_names') by hiera('enabled_services')"

* Wed Dec 11 2019 OSP Prod Chain <dev-null@redhat.com> 11.3.0-1
- Avoid failing on rsyslog (rhbz#1777235)
- Revert "Replace hiera('service_names') by hiera('enabled_services')" (rhbz#1780267)
- Updating pinned versions

* Sun Dec 08 2019 OSP Prod Chain <dev-null@redhat.com> 11.3.0-1
- Revert "Replace hiera('service_names') by hiera('enabled_services')" (rhbz#1780267)
- Merge "Synchronize connection configuration for metrics" into stable/train
- Synchronize connection configuration for metrics

* Thu Dec 05 2019 OSP Prod Chain <dev-null@redhat.com> 11.3.0-1
- Revert "Replace hiera('service_names') by hiera('enabled_services')" (rhbz#1780267)
- Merge "Fill sslProfile only when it is defined" into stable/train
- Fill sslProfile only when it is defined

* Thu Dec 05 2019 OSP Prod Chain <dev-null@redhat.com> 11.3.0-1
- Update patches
- Merge "Fix grafana listener options to allow affinity" into stable/train
- Fix grafana listener options to allow affinity

* Wed Dec 04 2019 OSP Prod Chain <dev-null@redhat.com> 11.3.0-1
- Update patches
- ovn_dbs override support

* Wed Dec 04 2019 OSP Prod Chain <dev-null@redhat.com> 11.3.0-1
- Update patches

* Wed Dec 04 2019 Martin Mágr <mmagr@redhat.com> 11.3.1-0.20191129120351.602547e
- [PATCH] Fill sslProfile only when it is defined (rhbz#1769868)
- [PATCH] Synchronize connection configuration for metrics (rhbz#1769868)

* Fri Nov 29 2019 OSP Prod Chain <dev-null@redhat.com> 11.3.0-1
- Update patches
- Explicitly convert stonith_level fact to int

* Tue Nov 26 2019 OSP Prod Chain <dev-null@redhat.com> 11.3.0-1
- Update patches
- Check for crm_node presence before collecting fact

* Mon Nov 25 2019 OSP Prod Chain <dev-null@redhat.com> 11.3.0-1
- Update patches
- Improve stonith leves idempotency.

* Fri Nov 22 2019 OSP Prod Chain <dev-null@redhat.com> 11.3.0-1
- Update patches
- Switch HA containers to k8s-file log-driver and make it a parameter

* Thu Nov 21 2019 OSP Prod Chain <dev-null@redhat.com> 11.3.0-1
- Update patches
- Merge "Add configurable monitor timeouts for ovn dbs" into stable/train
- Add configurable monitor timeouts for ovn dbs

* Wed Nov 20 2019 OSP Prod Chain <dev-null@redhat.com> 11.3.0-1
- Update patches
- Ceph Grafana should not be exposed by HAProxy as a public service

* Thu Oct 31 2019 OSP Prod Chain <dev-null@redhat.com> 11.3.0-1
- Update patches
- Fix upper case checks for SRIOV interface

* Mon Oct 28 2019 OSP Prod Chain <dev-null@redhat.com> 11.3.0-1
- Update patches
- Merge "Include ::nova::pci to nova api profile" into stable/train
- Include ::nova::pci to nova api profile

* Sat Oct 26 2019 OSP Prod Chain <dev-null@redhat.com> 11.3.0-1
- Update patches
- Merge "Update TOX/UPPER_CONSTRAINTS_FILE for stable/train" into stable/train
- Merge "Update .gitreview for stable/train" into stable/train
- Update TOX/UPPER_CONSTRAINTS_FILE for stable/train
- Update .gitreview for stable/train

* Fri Oct 25 2019 OSP Prod Chain <dev-null@redhat.com> 11.3.0-1
- Update patches
- Only configure libvirt-guests if enabled

* Tue Oct 22 2019 OSP Prod Chain <dev-null@redhat.com> 11.3.0-1
- Update patches

* Sat Oct 19 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Prepare RC + stable/train

* Wed Oct 16 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Revert "Add support to configure token caching in keystone""
- Revert "Add support to configure token caching in keystone"

* Tue Oct 15 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Allow the IHA OCF and fencing resource to be moved to the nova service user"
- Allow the IHA OCF and fencing resource to be moved to the nova service user

* Tue Oct 15 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "pacemaker: add support for Hash vs List in container environment"
- Deep merge hiera keys for mysqld_options
- pacemaker: add support for Hash vs List in container environment

* Mon Oct 14 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Remove Tacker service"
- Merge "Workaround for /etc/pki/CA/certs/vnc.crt not present"
- Workaround for /etc/pki/CA/certs/vnc.crt not present
- Remove Tacker service

* Tue Oct 08 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Add support to configure token caching in keystone"
- Merge "Configuration changes to support Qdr-mesh topology."
- Configuration changes to support Qdr-mesh topology.
- Add support to configure token caching in keystone

* Fri Oct 04 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Fix missing PXE directories for Conductor"
- Fix missing PXE directories for Conductor
- remove tripleo-ci-centos-7-scenario010-multinode-oooq-container

